#ifndef HASTAB_INCLUDED 
#define HASTAB_INCLUDED

#define EXIST		0
#define SUCCESS		1
#define BUCKSIZE        1024

typedef enum { LOG_GEN, LOG_RECV } logtype;
typedef enum { FALSE, TRUE } bool ;

struct entry {
   char   *str ;
   int    len;
   float  time ;
   struct entry *link ;
   int flag;
} ;

struct entry *lookup ( logtype lt, const char *str, float time, bool insert ) ;
void print_all( logtype lt);
void print_stats( bool verbose );

#endif
